curl --request POST \
--url https://api.example.com/organizations/{organizationId}/vouchers \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"amount": 123,
"organizationId": "<string>",
"effectiveAt": "<string>",
"expiresAt": "<string>",
"feeIds": [
{}
]
}
'{
"voucherId": "019525fd-e4b8-7cb0-b8d4-0e2f4a6c8d0a",
"organizationId": "019525fd-4c38-7e30-a5c1-b6e3f4d8a9c2",
"externalRef": null,
"name": "Onboarding Credit",
"amount": 50000,
"currency": "BRL",
"effectiveAt": "2026-04-01T00:00:00.000Z",
"expiresAt": "2026-09-30T23:59:59.000Z",
"amountRedeemed": 0,
"status": "PENDING",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-03-25T14:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-03-25T14:00:00.000Z",
"deletedBy": null,
"deletedAt": null
}
Criar um novo voucher de credito para uma organizacao com valor e periodo de validade especificados.
curl --request POST \
--url https://api.example.com/organizations/{organizationId}/vouchers \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"amount": 123,
"organizationId": "<string>",
"effectiveAt": "<string>",
"expiresAt": "<string>",
"feeIds": [
{}
]
}
'{
"voucherId": "019525fd-e4b8-7cb0-b8d4-0e2f4a6c8d0a",
"organizationId": "019525fd-4c38-7e30-a5c1-b6e3f4d8a9c2",
"externalRef": null,
"name": "Onboarding Credit",
"amount": 50000,
"currency": "BRL",
"effectiveAt": "2026-04-01T00:00:00.000Z",
"expiresAt": "2026-09-30T23:59:59.000Z",
"amountRedeemed": 0,
"status": "PENDING",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-03-25T14:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-03-25T14:00:00.000Z",
"deletedBy": null,
"deletedAt": null
}
voucher:write.{
"voucherId": "019525fd-e4b8-7cb0-b8d4-0e2f4a6c8d0a",
"organizationId": "019525fd-4c38-7e30-a5c1-b6e3f4d8a9c2",
"externalRef": null,
"name": "Onboarding Credit",
"amount": 50000,
"currency": "BRL",
"effectiveAt": "2026-04-01T00:00:00.000Z",
"expiresAt": "2026-09-30T23:59:59.000Z",
"amountRedeemed": 0,
"status": "PENDING",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-03-25T14:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-03-25T14:00:00.000Z",
"deletedBy": null,
"deletedAt": null
}
curl -X POST https://api.awsales.io/admin/organizations/019525fd-4c38-7e30-a5c1-b6e3f4d8a9c2/vouchers \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Onboarding Credit",
"amount": 50000,
"organizationId": "019525fd-4c38-7e30-a5c1-b6e3f4d8a9c2",
"effectiveAt": "2026-02-01T00:00:00.000Z",
"expiresAt": "2026-08-01T00:00:00.000Z"
}'
| Status | Codigo | Descricao |
|---|---|---|
400 | validation_error | Entrada invalida ou campos obrigatorios ausentes |
401 | unauthorized | Autenticacao ausente ou invalida |
403 | forbidden | Permissoes insuficientes |
404 | organization.not_found | Organizacao nao encontrada |
500 | internal_server_error | Ocorreu um erro inesperado |